Bug 43614 - gtk2-1.3.5-1.src.rpm fails to build
gtk2-1.3.5-1.src.rpm fails to build
Product: Red Hat Raw Hide
Classification: Retired
Component: gtk+-gtkbeta (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2001-06-05 16:32 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-08 14:05:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-05 16:32:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-5 i686)

Description of problem:
Making all in gtk
make[2]: Entering directory `/usr/src/redhat/BUILD/gtk+-1.3.5/gtk'
Making all in stock-icons
make[3]: Entering directory
GDK_PIXBUF_MODULEDIR=../../gdk-pixbuf/.libs \
   ../../gdk-pixbuf/make-inline-pixbuf ./gtkstockpixbufs.h dialog_error
./dialog_error.png dialog_info ./dialog_info.png dialog_question
./dialog_question.png dialog_warning ./dialog_warning.png
stock_button_apply ./stock_button_apply.png stock_button_cancel
./stock_button_cancel.png stock_button_close ./stock_button_close.png
stock_button_no ./stock_button_no.png stock_button_ok ./stock_button_ok.png
stock_button_yes ./stock_button_yes.png stock_close ./stock_close.png
stock_exit ./stock_exit.png stock_help ./stock_help.png stock_new
./stock_new.png stock_open ./stock_open.png stock_save ./stock_save.png
Image type 'png' is not supported
make[3]: *** [gtkstockpixbufs.h] Error 1
make[3]: Leaving directory
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gtk+-1.3.5/gtk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gtk+-1.3.5'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.22829 (%build)

How reproducible:

Steps to Reproduce:
1.rebuild from source

Additional info:

Comment 1 Owen Taylor 2001-06-05 16:38:17 EDT
I believe that the problem is a missing BuildPrereq on libpng.

Can you check that installing libpng-devel fixes it? 
(also libjpeg/libtiff, though they won't cause this particular 
way of dying)
Comment 2 Need Real Name 2001-06-06 14:31:39 EDT
Installed libs (including -devel packages):
Comment 3 Owen Taylor 2001-06-06 14:48:12 EDT
OK, then you'll need to figure out why the configure file for GTK+
isn't finding libpng for you. SRPM built fine for me both on
a clean 7.1 machine and in the build root.
Comment 4 Need Real Name 2001-06-07 02:38:13 EDT
Libtool >=1.4 is causing the problem:
The dynamic modules option is not detected.
Using libtool-1.3.5-8 all is OK.

build.log=libtool-1.4-x, build1.log=libtool-1.3.5-8
diff build.log build1.log
< You should update your `aclocal.m4' by running aclocal.
< checking whether dynamic modules work... no
> checking whether dynamic modules work... yes
< ../../libtool: test: =: unary operator expected
More errors on unary operators during compile.
The compile continues until the error on .png reported earlier appears.
Comment 5 Owen Taylor 2004-11-08 14:05:44 EST
Don't think this is relevant at this point.

Note You need to log in before you can comment on or make changes to this bug.